$primary-font: "Open Sans";
$primary-color: white;
$green-color: #26C17E;


%font-pattern {
    font-family: $primary-font;
    font-size: 16px;
    font-style: normal;
    line-height: 120%;
}

.portfolio-container__content {
    padding: 0px;
    width: 100%;
    display: inline-block;
}

.tabs {
    @extend %font-pattern;
    font-weight: normal;
    margin-bottom: 20px;
    
}

.tabs button {
    background: none;
    border: none;
    outline: none;
    cursor: pointer;
    padding: 0px;
    margin: 0px;

}

.tabs span:hover {
    cursor: pointer;
    color: $green-color;
}

.tabs li:first-child {
    padding: 0;
}

.tabs li {
    display: inline-block;
    padding: 0 0 0 10px;
    margin: 0 10px 0 0;
    position: relative;
    text-transform: capitalize;
}

.tabs__ui:after, .tabs__code:after {
    content: "/";
    position: absolute;
    top: 0;
    left: -5px;
    margin-right: 5px;
}

.filter-container img {
    cursor: pointer;
    display: block;
    z-index: 0;
    
}

.filter-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);    
    min-height: 200px;
    height: 428px;
    column-gap: 20px;
    row-gap: 20px;
}

.portfolio-info {
    cursor: pointer;
    display: block;
    background-color: $primary-color;
    width: 308px;
    height: 190px;
    z-index: 1;
    opacity: 0%;
    -webkit-transition: opacity 1s ease-in-out;
    -moz-transition: opacity 1s ease-in-out;
    -o-transition: opacity 1s ease-in-out;
    transition: opacity 1s ease-in-out;
}

.portfolio-info:hover {
    opacity: 90%;
} 

.filter-item {
    margin-right: 20px;
    margin-bottom: 20px;
}

.filter-item__first {
    display: grid;
    grid-template-areas: "overlaydemo-first";
}

.portfolio-info__first {
    grid-area: overlaydemo-first;
    
}

.filter-item__first img {
    grid-area: overlaydemo-first;
}

.filter-item__second {
    display: grid;
    grid-template-areas: "overlaydemo-second";
}

.portfolio-info__second {
    grid-area: overlaydemo-second;
}

.filter-item__second img {
    grid-area: overlaydemo-second;
}

.filter-item__third {
    display: grid;
    grid-template-areas: "overlaydemo-third";
}

.portfolio-info__third {
    grid-area: overlaydemo-third;
}

.filter-item__third img {
    grid-area: overlaydemo-third;
}

.filter-item__forth {
    display: grid;
    grid-template-areas: "overlaydemo-forth";
}

.portfolio-info__forth {
    grid-area: overlaydemo-forth;
}

.filter-item__forth img {
    grid-area: overlaydemo-forth;
}

.portfolio-info h2 {
    @extend %font-pattern;
    color: $green-color;
    font-weight: bold;
    margin: 15px 15px 10px 15px;
}

.portfolio-info p {
    font-weight: normal;
    line-height: 150%;
    margin: 0px 15px 10px 15px;
}

.portfolio-info a {
    text-decoration: underline;
    color: $green-color;
    margin-left: 15px;
}

.portfolio-info p, .portfolio-info a {
    @extend %font-pattern;
    font-size: 14px;
}

@media only screen and (max-width: 600px) {
    .filter-container {
        grid-template-columns: repeat(2, 1fr);
    }
}